#include <stdio.h>
#include <math.h>
#include <iostream>
using namespace std;

int main()
{
    int n,m;
    char x;
    scanf("%d%d",&n,&m);
    for (int i=0;i<n;i++)
    for (int j=0;j<m;j++)
    scanf("%c",&x);
    printf("-1");
    return 0;
}